%  Generate and write a Dockerfile.   
%   
%  CALL:   
%    createDockerfile(targetdir, target, files, varargin)   
%   
%  INPUT:   
%    targetdir: <string>   
%    target: <string>   
%      the application to run.   
%    files: <cellstr>   
%      file to include in the image, such as modelit.jar etc.   
%    varargin: <any[]>   
%      input arguments for the target, should appear in the same order as   
%      the function signature of the target.   
%   
%  OUTPUT:   
%    No direct output, a DockerFile is generated and written to disk.   
%   
%  APPROACH:   
%    The matlab image for this DockerFile is downloadable from   
%    ftp://www.modelit.nl/home/zijpp/sites/modelit_nl/docker/   
%    At het moment R2021a.tar and R2021b.tar are available   
%    these images can be installed with the command: docker load -i R2021a.tar   
%    and are necessary to build the Docker Image.   
%   
%    Function inputs are specified as environment variables in the   
%    DockerFile.   
%   
%   The target must be compiled under Linux, this because there is no Matlab   
%   image for Windows available.   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
