%  Convert a serialized Matlab variable to its original form.   
%   
%  CALL:   
%      S = deserialize(byteData, ishex)   
%   
%  INPUT:   
%      byteData: <Nx1 int8>   
%          serialized form of matlab variable. See serialize.   
%      ishex: <boolean>   
%          if false (default)   
%              byteData is uint8 byte array   
%          if true:   
%              byteData is char array with elements in   
%              0123456789ABCDEF.   
%   
%  OUTPUT:   
%      S: <any>   
%          Deserialized matlab variable   
%   
%  NOTE:   
%      serialize_v2 and deserialize_v2 do the same, but do not write to   
%      disk and are therfore recommended.   
%   
%  See also: serialize, deserialize_v2   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
